# Generated by rust2rpm 24
%bcond_without check

%global crate sequoia-keyring-linter

Name:           rust-sequoia-keyring-linter
Version:        1.0.1
Release:        %autorelease
Summary:        Linter for keyrings

License:        GPL-2.0-or-later
URL:            https://crates.io/crates/sequoia-keyring-linter
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * exclude files that are only useful for upstream development
# * bump rpassword dependency from 6 to 7
# * bump assert_cmd dev-dependency from 1.0.1 to 2.0.0
# * remove feature for Windows-specific cryptography
Patch:          sequoia-keyring-linter-fix-metadata.diff
# https://gitlab.com/sequoia-pgp/keyring-linter/-/merge_requests/9
Patch:          0001-build-fix-file-names-for-generated-manpage-and-shell.patch

BuildRequires:  rust-packaging >= 23

%global _description %{expand:
A linter for keyrings.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0
# Apache-2.0 AND MIT
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSL-1.0
# GPL-2.0-or-later
# LGPL-2.0-or-later
# LGPL-3.0 OR GPL-2.0 OR GPL-3.0
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        GPL-2.0-or-later AND Apache-2.0 AND BSL-1.0 AND LGPL-2.0-or-later AND MIT AND Unicode-DFS-2016 AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (LGPL-3.0 OR GPL-2.0 OR GPL-3.0) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.txt
%license LICENSE.dependencies
%doc README.md
%{_bindir}/sq-keyring-linter
%{_mandir}/man1/sq-keyring-linter*
%{bash_completions_dir}/sq-keyring-linter.bash
%{fish_completions_dir}/sq-keyring-linter.fish
%{zsh_completions_dir}/_sq-keyring-linter

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%cargo_license_summary
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
# install manual pages
install -Dpm 0644 target/release/build/%{crate}-*/out/sq-keyring-linter.1 \
    %{buildroot}/%{_mandir}/man1/sq-keyring-linter.1
# install shell completions
install -Dpm 0644 target/release/build/%{crate}-*/out/sq-keyring-linter.bash \
    %{buildroot}/%{bash_completions_dir}/sq-keyring-linter.bash
install -Dpm 0644 target/release/build/%{crate}-*/out/sq-keyring-linter.fish \
    %{buildroot}/%{fish_completions_dir}/sq-keyring-linter.fish
install -Dpm 0644 target/release/build/%{crate}-*/out/_sq-keyring-linter \
    %{buildroot}/%{zsh_completions_dir}/_sq-keyring-linter

%if %{with check}
%check
%cargo_test
%endif

%changelog
%autochangelog
